/* ========================================
 *  DoublePaul - DoublePaul.h
 *  Copyright (c) 2016 airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "DoublePaul.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::DoublePaul {

DoublePaul::DoublePaul()
{
	for(int count = 0; count < 11; count++) {bL[count] = 0.0;bR[count] = 0.0;}
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int DoublePaul::getParameterCount() const
{
	return kNumParameters;
}

void DoublePaul::setParameter(int index, float value) {
}

float DoublePaul::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void DoublePaul::getParameterName(int index, char *text) {
}

void DoublePaul::getParameterDisplay(int index, char *text) {
}

void DoublePaul::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
